#include "execute.h"
#include "d2q5.h"

int main(int argc, char* argv[])
{
	execute<D2Q5_SRT<D2Q5_M1>>(ADE);
	execute<D2Q5_MRT1<D2Q5_M1>>(ADE);
	execute<D2Q5_MRT2<D2Q5_M1>>(ADE);
	execute<D2Q5_CLBM1<D2Q5_M1>>(ADE);
	execute<D2Q5_CLBM2<D2Q5_M1>>(ADE);
}
